[App Sharing] GXDE Kernel Manager 1.1.0--Support getting data from apt database
Tofloor
poster avatar
gfdgd_xi
Moderator
Ecological co-builder
2024-05-12 17:36
Author

Warning: You may damage your system unless you know what you will do!

GXDE 内核管理器是一个帮助用户更方便获取、安装、移除内核的工具。
目前支持 amd64、arm64、mips64 和 loong64 四个架构
QQ 交流群:881201853

GXDE Kernel Manager is a kernel manager allows users to install or remove kernels easily.
Support architectures: amd64, arm64, mips64, loong64
Warning: You may damage your system unless you know what you will do!

更新内容

※1、支持从 apt 源读取内核数据并显示安装
※2、支持只显示与当前系统相同架构的内核
※3、下载/更新内核时支持调用 aptss 提升下载速度
※4、新增卸载所有内核时的窗口警告
5、优化表格显示效果
6、支持显示内核描述和版本

※1. Support getting kernel data from apt database.
※2. Support showing only kernels that are the same as the local system architecture.
※3. Support using aptss to download packages faster.
※4. Show a warning message box when removing all kernels.
5. Optimize the effect of the kernels table.
6. Support showing kernel descriptions and versions.

image.png

image.png

GXDE 系统如何安装 GXDE 内核管理器?

只适用于 GXDE,deepin/UOS 等需要下载 deb 手动安装

sudo apt update
sudo apt install gxde-kernel-manager

Download

Gitee:https://gitee.com/GXDE-OS/gxde-kernel-manager
Github:https://github.com/GXDE-OS/gxde-kernel-manager
Sourceforge:https://sourceforge.net/projects/gxde-kernel-manager
蓝奏云:https://gfdgdxi.lanzouw.com/b0plniged 密码:fjpx
GXDE 首页:https://gxde.gfdgdxi.top

Reply Favorite View the author
All Replies
JianDan
deepin
2024-05-16 11:09
#1

安装错误1

唉,不如原来的那个好用。

Reply View the author
gfdgd_xi
Moderator
Ecological co-builder
2024-05-16 12:16
#2
JianDan

安装错误1

唉,不如原来的那个好用。

能否放一下截图?

Reply View the author
readmy
deepin
2024-06-04 20:37
#3

出现错误,代码:1

image.png

Reply View the author
readmy
deepin
2024-06-04 20:39
#4
gfdgd_xi

能否放一下截图?

尝试刷新apt缓存也是这个错误,deepin版本RC2

Reply View the author
gfdgd_xi
Moderator
Ecological co-builder
2024-06-04 21:45
#5
readmy

尝试刷新apt缓存也是这个错误,deepin版本RC2

好,我尝试复现下

Reply View the author
gfdgd_xi
Moderator
Ecological co-builder
2024-06-04 21:49
#6
readmy

尝试刷新apt缓存也是这个错误,deepin版本RC2

bug忘记修了,安装个星火就可以了
我找时间修一下

Reply View the author